INTEL_FRONTBUFFER_FL(9)

NAME
intel_frontbuffer_flush - flush frontbuffer

SYNOPSIS

void intel_frontbuffer_flush(struct drm_device * dev, unsigned frontbuffer_bits);

ARGUMENTS

dev
    DRM device

frontbuffer_bits
    frontbuffer plane tracking bits

DESCRIPTION

This function gets called every time rendering on the given planes has completed and frontbuffer caching can be started again. Flushes will get delayed if they're blocked by some outstanding asynchronous rendering.

Can be called without any locks held.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT